import React, { PropsWithChildren } from 'react'
import { Provider } from 'react-redux'
import { configureStore } from '@reduxjs/toolkit'
import { zocksStoreConfig } from './store'

export const ZocksProvider: React.FC<PropsWithChildren> = ({ children }) => {
  const store = configureStore(zocksStoreConfig)

  return <Provider store={store}>{children}</Provider>
}
